services:
  _defaults:
    autowire: true
    autoconfigure: true
    bind:
      $bundleConfig: '%huh_twig_support%'
      $templateCache: '@huh_twig_support.cache.templates'

  HeimrichHannot\TwigSupportBundle\EventListener\RenderListener:
    public: true

  HeimrichHannot\TwigSupportBundle\Cache\TemplateCache: ~
  HeimrichHannot\TwigSupportBundle\Filesystem\TwigTemplateLocator:
    public: true
  HeimrichHannot\TwigSupportBundle\Helper\NormalizerHelper: ~
  HeimrichHannot\TwigSupportBundle\Renderer\TwigTemplateRenderer:
    public: true

  huh_twig_support.cache.templates:
    class: Symfony\Component\Cache\Adapter\FilesystemAdapter
    arguments:
      - !php/const HeimrichHannot\TwigSupportBundle\Cache\TemplateCache::CACHE_POOL_NAME
      - '%huh_twig_support.template_cache_lifetime%'
      - '%kernel.cache_dir%'